﻿@model  List<LoyaltyPointEngine.Model.Object.Promo.UploadReceiptFromExcelResultCMSModel>

@{
    List<string> ListError = new List<string>();
    var aaaa = Model;
    int id = ViewBag.IdProm;
}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Upload Promo Detail Result </h3>
    </div>    <!-- Page Stats -->
    
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->


<div class="row">

    <div class="col-md-12">
        <div class="widget box">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>Result</h4>
            </div>
            @Html.Grid(Model).Columns(columns =>
       {


           columns.Add(x => x.PromoCode)
               .Titled("Promo Code")
               .Encoded(false)
               .Sanitized(false)
               .Sortable(true);

           columns.Add(x => x.UniqueCode)
              .Titled("Kode Unik")
              .Encoded(false)
              .Sanitized(false)
              .Sortable(true);

           columns.Add(x => x.ExpiredDate)
               .Titled("Expired Date")
               .Encoded(false)
               .Sanitized(false)
               .Sortable(true);


           columns.Add(x => x.result)
               .Titled("Result")
               .Encoded(false)
               .Sanitized(false)
               .Sortable(true).RenderValueAs(x => string.Format("<span><strong>{0}</strong></span><br/><p>{1}</p>", x.result, x.message)).SetWidth(300);

       }).WithPaging(500)
        </div>
    </div>
</div>
<div class="row">

    <ul class="page-stats">
        <li>
            <a href="@Url.Action(MVC.Promo.Detail(id,""))" class="btn btn-icon input-block-level">
                <i class="icon-group"></i>
                <div>Back to Detail</div>
            </a>
        </li>
    </ul>

</div>
